> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Container execution

> Start Docker container execution and return direct streaming URL.

The client can then connect directly to the streaming_url to receive output.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v2/external/execution/image/start
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/execution/image/start:
    post:
      tags:
        - Container
      summary: Start Container execution
      description: >-
        Start Docker container execution and return direct streaming URL.


        The client can then connect directly to the streaming_url to receive
        output.
      operationId: start_docker_execution_api_v2_external_execution_image_start_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DockerExecutionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DockerExecutionStartResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DockerExecutionRequest:
      properties:
        docker_image_ref:
          type: string
          title: Docker Image Ref
          description: Docker image reference (e.g., python:3.9)
        docker_run_cmd:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Docker Run Cmd
          description: Command to run in the container
        docker_run_env:
          anyOf:
            - type: string
            - type: 'null'
          title: Docker Run Env
          description: Environment variables as string
        docker_user:
          anyOf:
            - type: string
            - type: 'null'
          title: Docker User
          description: User to run container as (e.g., '1000', 'nobody', '1000:1000')
        docker_registry_credential_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Docker Registry Credential Type
          description: Registry auth type (e.g., 'aws', 'basic')
        aws_access_key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Aws Access Key Id
          description: AWS Access Key ID for ECR
        aws_secret_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Aws Secret Access Key
          description: AWS Secret Access Key for ECR
        aws_session_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Aws Session Token
          description: AWS Session Token for ECR
        aws_region:
          anyOf:
            - type: string
            - type: 'null'
          title: Aws Region
          description: AWS region for ECR
          default: us-east-1
        docker_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Docker Username
          description: Docker registry username
        docker_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Docker Password
          description: Docker registry password
        timeout:
          type: integer
          maximum: 600
          minimum: 1
          title: Timeout
          default: 60
        execution_type:
          type: string
          pattern: ^[a-zA-Z0-9_.]+$
          title: Execution Type
          default: gpu.l40s
        job_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Type
          description: Job type (e.g., 'customer_image', 'customer_notebook')
        file_name:
          anyOf:
            - type: string
            - type: 'null'
          title: File Name
        enable_s3_mount:
          type: boolean
          title: Enable S3 Mount
          description: Whether to enable S3 mount for this execution
          default: false
        s3_mount_path:
          type: string
          title: S3 Mount Path
          description: Path where S3 will be mounted inside the container
          default: /mnt/s3
        user_callback_urls:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: User Callback Urls
          description: URLs to call with job completion info
        graceful_timeout:
          anyOf:
            - type: integer
              maximum: 300
              minimum: 1
            - type: 'null'
          title: Graceful Timeout
          description: 'Seconds to wait for graceful shutdown on cancel (default: 10)'
      type: object
      required:
        - docker_image_ref
      title: DockerExecutionRequest
      description: Request model for Docker container execution
    DockerExecutionStartResponse:
      properties:
        execution_id:
          type: string
          title: Execution Id
        status:
          type: string
          title: Status
        streaming_url:
          type: string
          title: Streaming Url
      type: object
      required:
        - execution_id
        - status
        - streaming_url
      title: DockerExecutionStartResponse
      description: Response model with direct streaming URL
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````